import { Facet, type Extension } from '@codemirror/state';
import { type Annotation, type Item } from '@opencodegraph/client';
export interface OpenCodeGraphDecorationsConfig {
    createDecoration: (container: HTMLElement, spec: {
        /**
         * The leading whitespace on the line of code that the items are attached to.
         */
        indent: string | undefined;
        items: Item[];
    }) => {
        destroy?: () => void;
    };
    visibility: boolean;
}
/**
 * Show OpenCodeGraph decorations.
 */
export declare function showOpenCodeGraphDecorations(config: OpenCodeGraphDecorationsConfig): Extension;
/**
 * Provide OpenCodeGraph data.
 */
export declare function openCodeGraphData(data: Annotation[] | undefined): Extension;
/**
 * Facet for OpenCodeGraph data.
 */
export declare const openCodeGraphDataFacet: Facet<Annotation<import("@opencodegraph/client").Range>[], Annotation<import("@opencodegraph/client").Range>[]>;
/**
 * Theme for OpenCodeGraph decorations.
 */
export declare const baseTheme: Extension;
//# sourceMappingURL=extension.d.ts.map