import { jsx as _jsx } from "react/jsx-runtime";
import { IndentationWrapper, ItemChipList } from '@opencodegraph/ui-react';
import { useMemo } from 'react';
import { createRoot } from 'react-dom/client';
import { openCodeGraphData, showOpenCodeGraphDecorations } from './extension';
export function useOpenCodeGraphExtension({ visibility, annotations, }) {
    // TODO(sqs): useCompartment results in sometimes the facet data being stale because the editor is reconfigured
    return useMemo(() => visibility
        ? [
            openCodeGraphData(annotations),
            showOpenCodeGraphDecorations({
                visibility,
                createDecoration(container, { indent, items }) {
                    const root = createRoot(container);
                    root.render(_jsx(IndentationWrapper, { indent: indent, children: _jsx(ItemChipList, { items: items, chipClassName: "ocg-chip", popoverClassName: "ocg-chip-popover" }) }));
                    return {
                        destroy() {
                            root.unmount();
                        },
                    };
                },
            }),
        ]
        : [], [visibility, annotations]);
}
//# sourceMappingURL=useOpenCodeGraphExtension.js.map